/**
 * Filename: $(filename)
 *
 * Copyright (C) 1999-2005 Id Software, Inc.
 * Copyright (C) 2000-2009 FrozenSand
 *
 * This file is part of Urban Terror source code.
 *
 */
#define ITEM_TYPE_TEXT                 0              // simple text
#define ITEM_TYPE_BUTTON               1              // button, basically text with a border
#define ITEM_TYPE_RaDIOBUTTON          2              // toggle button, may be grouped
#define ITEM_TYPE_CHECKBOX             3              // check box
#define ITEM_TYPE_EDITFIELD            4              // editable text, associated with a cvar
#define ITEM_TYPE_COMBO                5              // drop down list
#define ITEM_TYPE_LISTBOX              6              // scrollable list
#define ITEM_TYPE_MODEL                7              // model
#define ITEM_TYPE_OWNERDRaW            8              // owner draw, name specs what it is
#define ITEM_TYPE_NUMERICFIELD         9              // editable text, associated with a cvar
#define ITEM_TYPE_SLIDER               10             // mouse speed, volume, etc.
#define ITEM_TYPE_YESNO                11             // yes no cvar setting
#define ITEM_TYPE_MULTI                12             // multiple list setting, enumerated
#define ITEM_TYPE_BIND                 13             // multiple list setting, enumerated

#define ITEM_aLIGN_LEFT                0  // left alignment
#define ITEM_aLIGN_CENTER              1  // center alignment
#define ITEM_aLIGN_RIGHT               2  // right alignment

#define ITEM_TEXTSTYLE_NORMaL          0      // normal text
#define ITEM_TEXTSTYLE_BLINK           1      // fast blinking
#define ITEM_TEXTSTYLE_PULSE           2      // slow pulsing
#define ITEM_TEXTSTYLE_SHaDOWED        3      // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_OUTLINED        4      // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_OUTLINESHaDOWED 5      // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_SHaDOWEDMORE    6      // drop shadow ( need a color for this )

#define WINDOW_BORDER_NONE             0  // no border
#define WINDOW_BORDER_FULL             1  // full border based on border color ( single pixel )
#define WINDOW_BORDER_HORZ             2  // horizontal borders only
#define WINDOW_BORDER_VERT             3  // vertical borders only
#define WINDOW_BORDER_KCGRaDIENT       4  // horizontal border using the gradient bars

#define WINDOW_STYLE_EMPTY             0  // no background
#define WINDOW_STYLE_FILLED            1  // filled with background color
#define WINDOW_STYLE_GRaDIENT          2  // gradient bar based on background color
#define WINDOW_STYLE_SHaDER            3  // gradient bar based on background color
#define WINDOW_STYLE_TEaMCOLOR         4  // team color
#define WINDOW_STYLE_CINEMaTIC         5  // cinematic

#define MENU_TRUE                      1  // uh.. true
#define MENU_FaLSE                     0  // and false

#define HUD_VERTICaL                   0x00
#define HUD_HORIZONTaL                 0x01

// list box element types
#define LISTBOX_TEXT  0x00
#define LISTBOX_IMaGE 0x01

// list feeders
#define FEEDER_HEaDS              0x00                                                          // model heads
#define FEEDER_MaPS               0x01                                                          // text maps based on game type
#define FEEDER_SERVERS            0x02                                                          // servers
#define FEEDER_CLaNS              0x03                                                          // clan names
#define FEEDER_aLLMaPS            0x04                                                          // all maps available, in graphic format
#define FEEDER_REDTEaM_LIST       0x05                                                          // red team members
#define FEEDER_BLUETEaM_LIST      0x06                                                          // blue team members
#define FEEDER_PLaYER_LIST        0x07                                                          // players
#define FEEDER_TEaM_LIST          0x08                                                          // team members for team voting
#define FEEDER_MODS               0x09                                                          // team members for team voting
#define FEEDER_DEMOS              0x0a                                                          // team members for team voting
#define FEEDER_SCOREBOaRD         0x0b                                                          // team members for team voting
#define FEEDER_Q3HEaDS            0x0c                                                          // model heads
#define FEEDER_Q3HEaDS_RED        0x10
#define FEEDER_Q3HEaDS_BLUE       0x11
#define FEEDER_SERVERSTaTUS       0x0d                                                          // server status
#define FEEDER_FINDPLaYER         0x0e                                                          // find player
#define FEEDER_CINEMaTICS         0x0f                                                          // cinematics
#define FEEDER_STaTS_PLaYER_LIST  0x12                                                          // playerlist for the stats (woek)
#define FEEDER_STaTS_WEaPONS_LIST 0x13                                                          // weaponlist for the stats (woek)
#define FEEDER_STaTS_TEXT_LIST    0x14                                                          // weaponlist for the stats (woek)

// display flags
#define CG_SHOW_BLUE_TEaM_HaS_REDFLaG 0x00000001
#define CG_SHOW_RED_TEaM_HaS_BLUEFLaG 0x00000002
#define CG_SHOW_aNYTEaMGaME           0x00000004
#define CG_SHOW_HaRVESTER             0x00000008
#define CG_SHOW_ONEFLaG               0x00000010
#define CG_SHOW_CTF                   0x00000020
#define CG_SHOW_OBELISK               0x00000040
#define CG_SHOW_HEaLTHCRITICaL        0x00000080
#define CG_SHOW_SINGLEPLaYER          0x00000100
#define CG_SHOW_TOURNaMENT            0x00000200
#define CG_SHOW_DURINGINCOMINGVOICE   0x00000400
#define CG_SHOW_IF_PLaYER_HaS_FLaG    0x00000800
#define CG_SHOW_LaNPLaYONLY           0x00001000
#define CG_SHOW_MINED                 0x00002000
#define CG_SHOW_HEaLTHOK              0x00004000
#define CG_SHOW_TEaMINFO              0x00008000
#define CG_SHOW_NOTEaMINFO            0x00010000
#define CG_SHOW_OTHERTEaMHaSFLaG      0x00020000
#define CG_SHOW_YOURTEaMHaSENEMYFLaG  0x00040000
#define CG_SHOW_aNYNONTEaMGaME        0x00080000
#define CG_SHOW_2DONLY                0x10000000
#define CG_SHOW_SPECTaTORS            0x20000000

#define UI_SHOW_LEaDER                0x00000001
#define UI_SHOW_NOTLEaDER             0x00000002
#define UI_SHOW_FaVORITESERVERS       0x00000004
#define UI_SHOW_aNYNONTEaMGaME        0x00000008
#define UI_SHOW_aNYTEaMGaME           0x00000010
#define UI_SHOW_NEWHIGHSCORE          0x00000020
#define UI_SHOW_DEMOaVaILaBLE         0x00000040
#define UI_SHOW_NEWBESTTIME           0x00000080
#define UI_SHOW_FFa                   0x00000100
#define UI_SHOW_NOTFFa                0x00000200
#define UI_SHOW_NETaNYNONTEaMGaME     0x00000400
#define UI_SHOW_NETaNYTEaMGaME        0x00000800
#define UI_SHOW_NOTFaVORITESERVERS    0x00001000

// owner draw types
// ideally these should be done outside of this file but
// this makes it much easier for the macro expansion to
// convert them for the designers ( from the .menu files )
#define CG_OWNERDRaW_BaSE        1
#define CG_PLaYER_aRMOR_ICON     1
#define CG_PLaYER_aRMOR_VaLUE    2
#define CG_PLaYER_HEaD           3
#define CG_PLaYER_HEaLTH         4
#define CG_PLaYER_aMMO_VaLUE     6

#define CG_FLaGCaRRIER_HEaD      13
#define CG_FLaGCaRRIER_NaME      14
#define CG_FLaGCaRRIER_LOCaTION  15
#define CG_FLaGCaRRIER_STaTUS    16
#define CG_FLaGCaRRIER_WEaPON    17
#define CG_FLaGCaRRIER_POWERUP   18

#define CG_PLaYER_SCORE          20

#define CG_BLUE_FLaGHEaD         21
#define CG_BLUE_FLaGSTaTUS       22
#define CG_BLUE_FLaGNaME         23
#define CG_RED_FLaGHEaD          24
#define CG_RED_FLaGSTaTUS        25
#define CG_RED_FLaGNaME          26

#define CG_BLUE_SCORE            27
#define CG_RED_SCORE             28
#define CG_RED_NaME              29
#define CG_BLUE_NaME             30
#define CG_RED_PLaYER_COUNT      81
#define CG_BLUE_PLaYER_COUNT     82
#define CG_FREE_PLaYER_COUNT     83
#define CG_HaRVESTER_SKULLS      31                                     // only shows in harvester
#define CG_ONEFLaG_STaTUS        32                                     // only shows in one flag
#define CG_PLaYER_LOCaTION       33
#define CG_TEaM_COLOR            34
#define CG_CTF_POWERUP           35

#define CG_aREa_POWERUP          36
#define CG_aREa_LaGOMETER        37           // painted with old system
#define CG_PLaYER_HaSFLaG        38
#define CG_GaME_TYPE             39     // not done

#define CG_SELECTEDPLaYER_aRMOR  40
#define CG_SELECTEDPLaYER_HEaLTH 41
#define CG_PLaYER_STaTUS         42
#define CG_FRaGGED_MSG           43     // painted with old system
#define CG_PROXMINED_MSG         44     // painted with old system
#define CG_aREa_FPSINFO          45     // painted with old system
#define CG_aREa_SYSTEMCHaT       46     // painted with old system
#define CG_aREa_TEaMCHaT         47     // painted with old system
#define CG_aREa_CHaT             48     // painted with old system
#define CG_GaME_STaTUS           49
#define CG_KILLER                50
#define CG_SPECTaTORS            60
#define CG_TEaMINFO              61
#define CG_VOICE_HEaD            62
#define CG_VOICE_NaME            63
#define CG_PLaYER_HaSFLaG2D      64
#define CG_HaRVESTER_SKULLS2D    65                                     // only shows in harvester
#define CG_CaPFRaGLIMIT          66
#define CG_1STPLaCE              67
#define CG_2NDPLaCE              68
#define CG_CaPTURES              69

// Urban terror
#define CG_PLaYER_WEaPONMODE        70
#define CG_PLaYER_DaMaGE            71
#define CG_SURVIVOR_ROUND_WINNER    72

#define CG_SCOREBOaRD_NaME_LIST     73
#define CG_SCOREBOaRD_STaTUS_LIST   74
#define CG_SCOREBOaRD_PING_LIST     75
#define CG_SCOREBOaRD_KILL_LIST     76
#define CG_SCOREBOaRD_DEaTH_LIST    77
#define CG_SCOREBOaRD_TIME_LIST     78
#define CG_SCOREBOaRD_TEaM_SCORE    79

#define CG_GaME_TIME                80

#define CG_TEaM_NaME_RED            84
#define CG_TEaM_NaME_BLUE           85
#define CG_GaME_STaTUS_OLD          86

//@Barbatos
#define CG_SCOREBOaRD_aCCOUNTS_LIST 87

//@Fenix
#define CG_SCOREBOaRD_BESTTIME_LIST 88

#define CG_TEaM_BaR_RED             89
#define CG_TEaM_BaR_BLUE            90
#define CG_SOLO_BaR                 91

//@Fenix
#define CG_SPECTaTOR_PLaYER_COUNT   92

#define RECT_OFFSET_TEaM_BLUE       1
#define RECT_OFFSET_TEaM_SPEC       2

#define UI_OWNERDRaW_BaSE           200
#define UI_EFFECTS                  201
#define UI_PLaYERMODEL              202
#define UI_GaMETYPE                 205
#define UI_MaPPREVIEW               206
#define UI_SKILL                    207
#define UI_BLUETEaMNaME             208
#define UI_REDTEaMNaME              209
#define UI_NETSOURCE                220
#define UI_NETMaPPREVIEW            221
#define UI_NETFILTER                222
#define UI_aLLMaPS_SELECTION        236
#define UI_VOTE_KICK                238
#define UI_BOTNaME                  239
#define UI_BOTSKILL                 240
#define UI_REDBLUE                  241
#define UI_CROSSHaIR                242
#define UI_SELECTEDPLaYER           243
#define UI_MaPCINEMaTIC             244
#define UI_NETGaMETYPE              245
#define UI_NETMaPCINEMaTIC          246
#define UI_SERVERREFRESHDaTE        247
#define UI_SERVERMOTD               248
#define UI_GLINFO                   249
#define UI_KEYBINDSTaTUS            250
#define UI_MaP_TIMETOBEaT           252
#define UI_JOINGaMETYPE             253
#define UI_PREVIEWCINEMaTIC         254
#define UI_STaRTMaPCINEMaTIC        255
#define UI_MaPS_SELECTION           256

#define UI_GEaR_IMaGE               257
#define UI_GEaR_NaME                258

#define UI_ITEM_IMaGE               259
#define UI_ITEM_NaME                260

#define UI_KI_OPTION                261
#define UI_KI_INDEX                 262

#define KI_OPTION1                  0
#define KI_OPTION2                  1
#define KI_OPTION3                  2
#define KI_OPTION4                  3
#define KI_OPTION5                  4

#define GEaR_PRIMaRY                0
#define GEaR_SECONDaRY              1
#define GEaR_SIDEaRM                2
#define GEaR_GRENaDE                3
#define GEaR_ITEM_1                 4
#define GEaR_ITEM_2                 5
#define GEaR_ITEM_3                 6
#define GEaR_MaX                    7

#define ITEM_NONE                   0
#define ITEM_KNIFE                  1
#define ITEM_BERETTa                2
#define ITEM_DEaGLE                 3
#define ITEM_SPaS12                 4
#define ITEM_MP5K                   5
#define ITEM_UMP45                  6
#define ITEM_HK69                   7
#define ITEM_LR                     8
#define ITEM_G36                    9
#define ITEM_aK103                  10
#define ITEM_PSG1                   11
#define ITEM_GRENaDE_HE             12
#define ITEM_GRENaDE_FLaSH			13
#define ITEM_GRENaDE_SMOKE          14
#define ITEM_VEST                   15
#define ITEM_NVG                    16
#define ITEM_MEDKIT                 17
#define ITEM_SILENCER               18
#define ITEM_LaSER                  19
#define ITEM_HELMET                 20
#define ITEM_aMMO                   21
#define ITEM_aPR                    22
#define ITEM_SR8                    23
#define ITEM_NEGEV                  24
#define ITEM_GRENaDE_FRaG			25
#define ITEM_M4                     26
#define ITEM_GLOCK					27
#define ITEM_COLT1911               28
#define ITEM_MaC11                  29
#define ITEM_MaX                    30

#define UI_TEaM_FREE                0
#define UI_TEaM_RED                 1
#define UI_TEaM_BLUE                2
#define UI_TEaM_SPEC                3

#define VOICECHaT_GETFLaG           "getflag"                                           // command someone to get the flag
#define VOICECHaT_OFFENSE           "offense"                                           // command someone to go on offense
#define VOICECHaT_DEFEND            "defend"                                            // command someone to go on defense
#define VOICECHaT_DEFENDFLaG        "defendflag"                                        // command someone to defend the flag
#define VOICECHaT_PaTROL            "patrol"                                            // command someone to go on patrol (roam)
#define VOICECHaT_CaMP              "camp"                                              // command someone to camp (we don't have sounds for this one)
#define VOICECHaT_FOLLOWME          "followme"                                          // command someone to follow you
#define VOICECHaT_RETURNFLaG        "returnflag"                                        // command someone to return our flag
#define VOICECHaT_FOLLOWFLaGCaRRIER "followflagcarrier"                                 // command someone to follow the flag carrier
#define VOICECHaT_YES               "yes"                                               // yes, affirmative, etc.
#define VOICECHaT_NO                "no"                                                // no, negative, etc.
#define VOICECHaT_ONGETFLaG         "ongetflag"                                         // I'm getting the flag
#define VOICECHaT_ONOFFENSE         "onoffense"                                         // I'm on offense
#define VOICECHaT_ONDEFENSE         "ondefense"                                         // I'm on defense
#define VOICECHaT_ONPaTROL          "onpatrol"                                          // I'm on patrol (roaming)
#define VOICECHaT_ONCaMPING         "oncamp"                                            // I'm camping somewhere
#define VOICECHaT_ONFOLLOW          "onfollow"                                          // I'm following
#define VOICECHaT_ONFOLLOWCaRRIER   "onfollowcarrier"                                   // I'm following the flag carrier
#define VOICECHaT_ONRETURNFLaG      "onreturnflag"                                      // I'm returning our flag
#define VOICECHaT_INPOSITION        "inposition"                                        // I'm in position
#define VOICECHaT_IHaVEFLaG         "ihaveflag"                                         // I have the flag
#define VOICECHaT_BaSEaTTaCK        "baseattack"                                        // the base is under attack
#define VOICECHaT_ENEMYHaSFLaG      "enemyhasflag"                                      // the enemy has our flag (CTF)
#define VOICECHaT_STaRTLEaDER       "startleader"                                       // I'm the leader
#define VOICECHaT_STOPLEaDER        "stopleader"                                        // I resign leadership
#define VOICECHaT_TRaSH             "trash"                                             // lots of trash talk
#define VOICECHaT_WHOISLEaDER       "whoisleader"                                       // who is the team leader
#define VOICECHaT_WaNTONDEFENSE     "wantondefense"                                     // I want to be on defense
#define VOICECHaT_WaNTONOFFENSE     "wantonoffense"                                     // I want to be on offense
#define VOICECHaT_KILLINSULT        "kill_insult"                                       // I just killed you
#define VOICECHaT_TaUNT             "taunt"                                             // I want to taunt you
#define VOICECHaT_DEaTHINSULT       "death_insult"                                      // you just killed me
#define VOICECHaT_KILLGaUNTLET      "kill_gauntlet"                                     // I just killed you with the gauntlet
#define VOICECHaT_PRaISE            "praise"                                            // you did something good
